%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           hamlib
Version:        1.2.7
Release:        2%{?dist}
Summary:        Run-time library to control radio transceivers and receivers

Group:          System Environment/Libraries
License:        GPLv2+ and LGPLv2+
URL:            http://hamlib.sourceforge.net
Source0:        ftp://ftp.sourceforge.net/pub/sourceforge/h/ha/hamlib/%{name}-%{version}.tar.gz
#Install python and perl bindings into proper dirs
Patch0:         hamlib-bindings-1.2.7.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, swig, gd-devel, libxml2-devel, tcl-devel
BuildRequires:  libusb-devel, pkgconfig
BuildRequires:  doxygen
#for perl
BuildRequires:  perl(ExtUtils::MakeMaker)

%description
Hamlib provides a standardised programming interface that applications 
can use to send the appropriate commands to a radio.
 
Also included in the package is a simple radio control program 'rigctl',
which lets one control a radio transceiver or receiver, either from
command line interface or in a text-oriented interactive interface.

%package devel
Summary: Development library to control radio transcievers and receivers
Group: Development/Libraries
Requires: hamlib = %{version}-%{release}, pkgconfig

%description devel
Hamlib radio control library C development headers and libraries
for building C applications with Hamlib.

%package doc
Summary: Documentation for the hamlib radio control library
Group: Documentation
Requires: hamlib = %{version}-%{release}

%description doc
This package provides the developers documentation for the hamlib radio
control library API.

%package c++
Summary: Hamlib radio control library C++ binding
Group: Development/Libraries
Requires: hamlib = %{version}-%{release}

%description c++
Hamlib radio control library C++ language binding.

%package c++-devel
Summary: Hamlib radio control library C++ binding development headers and libraries
Group: Development/Libraries
Requires: hamlib-devel = %{version}-%{release}, hamlib-c++ = %{version}-%{release}

%description c++-devel
Hamlib radio control library C++ binding development headers and libraries
for building C++ applications with Hamlib.


%package perl
Summary: Hamlib radio control library Perl binding
Group: Development/Libraries
Requires: hamlib = %{version}-%{release}

%description perl
Hamlib PERL Language bindings to allow radio control from PERL scripts.

%package python
Summary: Hamlib radio control library Python binding
Group: Development/Libraries
Requires: hamlib = %{version}-%{release}, python

%description python
Hamlib Python Language bindings to allow radio control from Python scripts.

%package tcl
Summary: Hamlib radio control library TCL binding
Group: Development/Libraries
Requires: hamlib = %{version}-%{release}

%description tcl
Hamlib TCL Language bindings to allow radio control from TCL scripts.

%prep
%setup -q
%patch0 -p1

%build
%configure \
        --disable-static \
        --with-rigmatrix \
        --with-tcl-binding \
        --with-python-binding \
        --with-perl-binding

# Build libs, drivers, and programs, won't build with smpflags
make
# Build Documentation
make -C doc doc

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
#install documentation
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/html
for f in `ls doc/html/`
	do install -m 0644 doc/html/$f $RPM_BUILD_ROOT%{_docdir}/%{name}/html/$f 
done

rm -f $RPM_BUILD_ROOT%{_libdir}/hamlib-*.a $RPM_BUILD_ROOT%{_libdir}/hamlib-*.la

find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;

/sbin/ldconfig -N -n $RPM_BUILDROOT%{_libdir}

#fix permissions
find $RPM_BUILD_ROOT -type f -name Hamlib.so -exec chmod 0755 {} ';'

#remove this, not needed
find $RPM_BUILD_ROOT -type f -name pkgIndex.tcl -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name Hamlib.bs -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name perltest.pl -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post c++ -p /sbin/ldconfig

%postun c++ -p /sbin/ldconfig

%post tcl -p /sbin/ldconfig

%postun tcl -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog PLAN COPYING.LIB COPYING README THANKS TODO
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/libhamlib.so.*
%{_libdir}/hamlib-*.so
%{_libdir}/_Hamlib.so
%{_mandir}/man?/*

%files devel
%defattr(-, root, root)
%doc README.developer
%{_libdir}/libhamlib.so
%{_datadir}/aclocal/hamlib.m4
%dir %{_includedir}/hamlib
%{_includedir}/hamlib/rig.h
%{_includedir}/hamlib/riglist.h
%{_includedir}/hamlib/rig_dll.h
%{_includedir}/hamlib/rotator.h
%{_includedir}/hamlib/rotlist.h
%{_libdir}/pkgconfig/hamlib.pc

%files doc
%doc %{_docdir}/%{name}

%files c++
%defattr(-, root, root)
%doc COPYING.LIB
%{_libdir}/libhamlib++.so.*

%files c++-devel
%defattr(-, root, root)
%doc COPYING.LIB
%{_libdir}/libhamlib++.so
%{_includedir}/hamlib/rigclass.h
%{_includedir}/hamlib/rotclass.h

%files perl
%defattr(-, root, root)
%doc COPYING.LIB
%{perl_vendorarch}/*

%files python
%defattr(-, root, root)
%doc COPYING.LIB
%{python_sitelib}/*.py*

%files tcl
%defattr(-, root, root)
%doc COPYING.LIB
%{_libdir}/hamlibtcl*

%changelog
* Tue Aug 26 2008 Steve Conklin <fedora@conklinhouse.com> - 1.2.7-2
- Patch to fix broken hamlib-perl
* Sat Feb 16 2008 Steve Conklin - 1.2.7
- New upstream version
* Sun Dec 09 2007 Sindre Pedersen Bjørdal - 1.2.6.2-5
- use sitearch not sitelib for perl package
- Make sure it builds on all arches
* Sat Dec 08 2007 Sindre Pedersen Bjørdal - 1.2.6.2-3
- Clean up BuildRequires
- Remove obsolete swig patch
* Sat Dec 08 2007 Sindre Pedersen Bjørdal - 1.2.6.2-2
- Spec file cleanups
- Use make install instead of depriciated %%makeinstall
- Replace make trickery with patched upstream makefiles
- enable perl bindings
- Patch bindings makefile to install perl to vendor, not site
- Merge swig patch with bindings patch
- enable tcl bindings
- Create doc subpackage, solves #341481
- Remove 2nd bindings patch, not needed as we don't rely on make trickery for bindings anymore
- Add patch to install python bindings in proper python dirs
- Clean up %%files list
- Depend on version-release, not just version
* Tue Sep 25 2007 Denis Leroy <denis@poolshark.org> - 1.2.6.2-1
- Update to new upstream 1.2.6.2
- Added rigsmtr binary

* Mon Sep  3 2007 Denis Leroy <denis@poolshark.org> - 1.2.5-6
- Rebuild, License tag update
- Added net-tools BR

* Wed May  9 2007 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 1.2.5-5
- Move HTML devel documentation to the proper subpackage (#228364)

* Thu Dec 14 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.2.5-4
- Rebuild for new Python

* Sat Sep 30 2006 Dennis Gilmore <dennis@ausil.us> 1.2.5-3
- fix Requires for hamlib-devel  its pkgconfig not pkg-config

* Sat Sep 30 2006 Dennis Gilmore <dennis@ausil.us> 1.2.5-2
- Fix BuildRequires added libxml2-devel, tcl-devel
- libusb-devel, pkgconfig  pkgconfig is required for fc5  as 
- libusb-devel doesnt require it there  but it wont hurt other 
- releases

* Sat Jul 29 2006 Robert 'Bob' Jensen <bob@bobjensen.com> 1.2.5-1
- Upstream update
- Spec file cleanups

* Sun Feb 19 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.4-3
- Fix bindings problems
- Remove static libs
- Remove .la files

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Apr  6 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.4-1
- Upstream update
- Spec file cleanups

* Wed Mar 23 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.3-9
- Python binding cleanup
- soname/ldconfig cleanup
- Added %%{_includedir}/hamlib to -devel
- Removed %%{_libdir}/hamlib-*.a and hamlib-*.la
- %%doc cleanups

* Wed Mar 23 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.3-8
- Added -q to %%setup
- Fixed Python binding build and Requires

* Mon Mar 21 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.3-7
- Removed spurious period and spelling mistake in Summary

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.3-6
- %%

* Thu Mar 17 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.3-5
- Removed spurious Requires(...)

* Thu Mar 17 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.3-4
- Fixed %%post and %%postun along with Requires(...)

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.3-3
- Spell-corrected %%description

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.3-2
- Removed/fixed explicit Requires

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.3-1
- Bump release to 1
- Fixed BuildRoot

* Mon Feb 10 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:1.2.3-0.iva.1
- Fixed error with automake in -devel (#26)

* Mon Jan 31 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:1.2.3-0.iva.0
- Upstream update

* Sun Jan  9 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:1.2.2-0.iva.1
- Fixed %%files %%defattr

* Sun Jan  9 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:1.2.2-0.iva.0
- Ported to FC3
- Upgraded to 1.2.2

* Sun Apr 18 2004 David L Norris <dave@webaugur.com>
- Enable disabled script bindings.
- Touch up descriptions.

* Tue Jan 20 2004 Tomi Manninen
- Fix for 1.1.5pre2
- Better use of rpm macros
- Disable all bindings

* Tue Oct 08 2003 Joop Stakenborg
- Fix 'make rpm' again by disabling c++ bindings.
- rotclass.h and rigclass.h go into the devel package for now (FIXME)

* Wed Jan 15 2003 Joop Stakenborg
- Fix the spec file for 1.1.4CVS
- 'make rpm' should work now

* Thu Jun 17 2002 Stephane Fillod
- Added rotator support
- Added RPC daemon, hamlib.m4
- Upstream version 1.1.3

* Mon Jul 18 2001 Stephane Fillod
- Made initial "working" SPEC file

